> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openhands.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Secret

> Given an access token, retrieve a user secret. The access token
is limited by user and provider type, and may include a timeout, limiting
the damage in the event that a token is ever leaked



## OpenAPI

````yaml /openapi/openhands-cloud.json get /api/v1/webhooks/secrets
openapi: 3.1.0
info:
  title: OpenHands
  description: 'OpenHands: Code Less, Make More'
  version: 0.0.1
servers: []
security: []
paths:
  /api/v1/webhooks/secrets:
    get:
      tags:
        - Webhooks
      summary: Get Secret
      description: >-
        Given an access token, retrieve a user secret. The access token

        is limited by user and provider type, and may include a timeout,
        limiting

        the damage in the event that a token is ever leaked
      operationId: get_secret_api_v1_webhooks_secrets_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
      security:
        - APIKeyHeader: []
components:
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-Access-Token

````